clang-tools 10.0.0

Namespaces
ExtractVariable.cpp File Reference
`#include "Logger.h"`
`#include "ParsedAST.h"`
`#include "Protocol.h"`
`#include "Selection.h"`
`#include "SourceCode.h"`
`#include "refactor/Tweak.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/AST/Expr.h"`
`#include "clang/AST/ExprCXX.h"`
`#include "clang/AST/OperationKinds.h"`
`#include "clang/AST/RecursiveASTVisitor.h"`
`#include "clang/AST/Stmt.h"`
`#include "clang/AST/StmtCXX.h"`
`#include "clang/Basic/LangOptions.h"`
`#include "clang/Basic/SourceLocation.h"`
`#include "clang/Basic/SourceManager.h"`
`#include "clang/Tooling/Core/Replacement.h"`
`#include "llvm/ADT/None.h"`
`#include "llvm/ADT/SmallVector.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/Support/Casting.h"`
`#include "llvm/Support/Error.h"`
`#include "llvm/Support/raw_ostream.h"`
Include dependency graph for ExtractVariable.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Variable Documentation

## ◆ ExprLoc

SourceLocation ExprLoc

Definition at line 204 of file ExtractVariable.cpp.

## ◆ Kind

BinaryOperatorKind Kind

Definition at line 203 of file ExtractVariable.cpp.

## ◆ SelectedOperands

llvm::SmallVector<const SelectionTree::Node*, 8> SelectedOperands

Definition at line 205 of file ExtractVariable.cpp.